org.eclipse.remote.ui

## Class AbstractRemoteUIConnectionService

- java.lang.Object
- - org.eclipse.remote.ui.AbstractRemoteUIConnectionService

All Implemented Interfaces:
  IRemoteConnectionType.Service, IRemoteUIConnectionService

    public abstract class AbstractRemoteUIConnectionService
    extends java.lang.Object
    implements IRemoteUIConnectionService

Abstract base class for providing UI connection manager services.

Since:
  2.0

### Nested Class Summary

Nested Classes
`protected static class` `AbstractRemoteUIConnectionService.DefaultLabelProvider`

### Nested classes/interfaces inherited from interface org.eclipse.remote.core.IRemoteConnectionType.Service

`IRemoteConnectionType.Service.Factory`

### Field Summary

### Fields inherited from interface org.eclipse.remote.ui.IRemoteUIConnectionService

`NEW_CONNECTION_COMMAND`

### Constructor Summary

Constructors
Constructor and Description
`AbstractRemoteUIConnectionService()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.jface.viewers.ILabelProvider` `getLabelProvider()` Return the label provider that provides the text and base image for the connection type and connections of that type.
`void` `openConnectionWithProgress(org.eclipse.swt.widgets.Shell shell, org.eclipse.jface.operation.IRunnableContext context, IRemoteConnection connection)` Attempt to open a connection using a progress monitor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.remote.ui.IRemoteUIConnectionService

`getConnectionWizard`

### Methods inherited from interface org.eclipse.remote.core.IRemoteConnectionType.Service

`getConnectionType`

### Constructor Detail

#### AbstractRemoteUIConnectionService

    public AbstractRemoteUIConnectionService()

### Method Detail

#### openConnectionWithProgress

    public void openConnectionWithProgress(org.eclipse.swt.widgets.Shell shell,
                                           org.eclipse.jface.operation.IRunnableContext context,
                                           IRemoteConnection connection)

Description copied from interface: `IRemoteUIConnectionService`
Attempt to open a connection using a progress monitor. Can be called on either open or closed connections, and will initialize the remote services if necessary. Users should check connection.isOpen() on return to determine if the connection was actually opened.

Specified by:
  `openConnectionWithProgress` in interface `IRemoteUIConnectionService`
Parameters:
  `shell` - shell used to display dialogs
  `context` - runnable context for displaying progress indicator. Can be null.
  `connection` - connection to open

#### getLabelProvider

    public org.eclipse.jface.viewers.ILabelProvider getLabelProvider()

Description copied from interface: `IRemoteUIConnectionService`
Return the label provider that provides the text and base image for the connection type and connections of that type.

Specified by:
  `getLabelProvider` in interface `IRemoteUIConnectionService`
Returns:
  label provider